Bug 962039 - livecd-iso-to-disk: line 985: ((: 1%: syntax error: operand expected (error token is "%")
livecd-iso-to-disk: line 985: ((: 1%: syntax error: operand expected (error t...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: livecd-tools (Show other bugs)
19
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Brian Lane
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-11 03:01 EDT by Nikola
Modified: 2013-06-11 23:32 EDT (History)
8 users (show)

See Also:
Fixed In Version: livecd-tools-19.4-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-11 23:32:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
bash -x livecd-iso-to-disk (12.18 KB, text/plain)
2013-05-31 11:46 EDT, Chris Murphy
no flags Details

  None (edit)
Description Nikola 2013-05-11 03:01:32 EDT
livecd-tools-19.2-2.fc19.x86_64


# livecd-iso-to-disk --format --reset-mbr --overlay-size-mb 1024 --livedir myLive --extra-kernel-args selinux=0 ./disk.iso /dev/sdb1
Verifying image...
/home/user/disk.iso:   c5c0b86faa22d4470a2e169754233cf0
Fragment sums: 7d6fe6ffa14cc2955f8465b2fb86c383ddecbd22f6dd2d3c155de7656738
Fragment count: 20
Press [Esc] to abort check.
Checking: 100.0%

The media check is complete, the result is: PASS.

It is OK to use this media.
WARNING: THIS WILL DESTROY ANY DATA ON /dev/sdb!!!
Press Enter to continue or ctrl-c to abort

/dev/sdb: 2 bytes were erased at offset 0x000001fe (dos): 55 aa
Waiting for devices to settle...
mke2fs 1.42.7 (21-Jan-2013)
Filesystem label=USB4G
OS type: Linux
Block size=4096 (log=2)
Fragment size=4096 (log=2)
Stride=0 blocks, Stripe width=0 blocks
246512 inodes, 984576 blocks
49228 blocks (5.00%) reserved for the super user
First data block=0
Maximum filesystem blocks=1010827264
31 block groups
32768 blocks per group, 32768 fragments per group
7952 inodes per group
Superblock backups stored on blocks: 
	32768, 98304, 163840, 229376, 294912, 819200, 884736

Allocating group tables: done                            
Writing inode tables: done                            
Creating journal (16384 blocks): done
Writing superblocks and filesystem accounting information: done 

/usr/bin/livecd-iso-to-disk: line 985: ((: 1%: error of syntax: operand is expected (error token is "%")
Copying live image to target device.
squashfs.img
  1549225984 100%   20.11MB/s    0:01:13 (xfer#1, to-check=0/1)

sent 1549415174 bytes  received 31 bytes  20797519.53 bytes/sec
total size is 1549225984  speedup is 1.00
osmin.img
       12288 100%    0.00kB/s    0:00:00 (xfer#1, to-check=0/1)

sent 12361 bytes  received 31 bytes  24784.00 bytes/sec
total size is 12288  speedup is 0.99
Updating boot config file
Initializing persistent overlay file
0+0 записей получено
0+0 записей отправлено
 скопировано 0 байт (0 B), 0,0011715 c, 0,0 kB/c
Installing boot loader
/media/tgttmp.9mz86S/syslinux is device /dev/sdb1
Target device is now set up with a Live image!
#
Comment 1 Brian Lane 2013-05-24 14:24:12 EDT
I'm not seeing a problem here, could you rerun that using:

sudo bash -x livecd-iso-to-disk --format --reset-mbr --overlay-size-mb 1024 --livedir myLive --extra-kernel-args selinux=0 ./disk.iso /dev/sdb1 |& tee litd.log

and attach the logfile to this bug.
Comment 2 Chris Murphy 2013-05-31 11:46:36 EDT
Created attachment 755314 [details]
bash -x livecd-iso-to-disk

livecd-tools-19.3-1.fc19
Comment 3 Brian Lane 2013-05-31 13:27:40 EDT
Ends up du on f19 started adding a trailing -, I've changed some of the parsing to use awk so that it will at least be easier to maintain in the future.
Comment 4 Frederick Grose 2013-05-31 16:23:03 EDT
(In reply to Brian C. Lane from comment #3)
> Ends up du on f19 started adding a trailing -,

Typo: df (not du) in df --total
Comment 5 Fedora Update System 2013-05-31 21:08:30 EDT
livecd-tools-19.4-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/livecd-tools-19.4-1.fc19
Comment 6 Fedora Update System 2013-06-01 13:52:26 EDT
Package livecd-tools-19.4-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing livecd-tools-19.4-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-9827/livecd-tools-19.4-1.fc19
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2013-06-11 23:32:45 EDT
livecd-tools-19.4-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.